Caselle email SMTP
Aggiorna casella di posta
Aggiorna i campi del profilo della casella di posta cliente.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
/
{mailbox}
Aggiorna casella di posta
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox}"
payload = {
"first_name": "<string>",
"last_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: '<string>', last_name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizzazioni
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Corpo
application/json
Risposta
Timestamp di creazione della casella di posta
Dominio UUID per la casella di posta
Nome di dominio per la casella di posta
Nome dell'utente della casella di posta
Cassetta postale UUID
Cognome dell'utente della casella di posta
Parte locale della cassetta postale prima della chiocciola
Indirizzo e-mail della casella di posta principale
Stato del ciclo di vita della cassetta postale
Timestamp dell'ultimo aggiornamento della casella di posta
Area di lavoro UUID per la casella di posta
Nome visualizzato dell'area di lavoro
Questa pagina è stata utile?
⌘I
Aggiorna casella di posta
